package com.za.bean.db.ele

import androidx.room.Entity
import androidx.room.PrimaryKey
import java.io.Serializable

@Entity(tableName = "ele_car_damage_photo")
data class EleCarDamagePhotoBean(
    @PrimaryKey(autoGenerate = true)
    val id: Long? = null,
    val path: String? = null,
    val orderId: Int? = null,
    val userOrderId: Int? = null,
    val isPhoto: Boolean? = null,
    val videoThumbnailPath: String? = null,
    val uploadStatus: Int? = null,// 1 上传成功  2 正在上传  3上传失败
    val serverPath: String? = null,
    val index: Int? = null
) : Serializable {
    fun getStatusStr(): String {
        return when (uploadStatus) {
            1 -> "上传成功"
            2 -> "正在上传"
            3 -> "上传失败"
            else -> ""
        }
    }
}